### Method

# FwupdPlugin CfiDevice get_cmd

since: 1.7.1

#### Declaration [src]

    gboolean
    fu_cfi_device_get_cmd (
      FuCfiDevice* self,
      FuCfiDeviceCmd cmd,
      guint8* value,
      GError** error
    )

#### Description [src]

Gets the self vendor code.

Available since: 1.7.1

#### Parameters

`cmd`

  Type: `FuCfiDeviceCmd`

  A `FuCfiDeviceCmd`, e.g. `FU_CFI_DEVICE_CMD_CHIP_ERASE`.

`value`

  Type: `guint8*`

  The API command value to use.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.